package market.Mes.Lengthwise.Performance.vo;

import java.io.Serializable;
import java.util.Date;

import market.Mes.Lengthwise.Performance.mapper.MesCrSlittingMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_CR_SLITTING_M", namespace=MesCrSlittingMMapper.class)
public class MesCrSlittingM extends BaseVO implements Serializable {
	@Id
	//生产处理号
	private String process_no;
	public String  getProcess_no() {
		return this.process_no;
	}
	public void setProcess_no(String process_no) {
		this.process_no = process_no;
	}

	
	/** 
	 * 横切方式（:1：不横切、2：一切二、3：一切三）
	 * 2018-09-08
	 * 横切方式（:1：不横切、2：一切二、3：一切三、4：一切四）
	 */ 
	@Column
	private String crs_cut_mode;
	public String getCrs_cut_mode() {
		return this.crs_cut_mode;
	}
	public void setCrs_cut_mode(String crs_cut_mode) {
		this.crs_cut_mode = crs_cut_mode;
	}

	/** 
	 * 中断长度一
	 */ 
	@Column
	private Double crs_cut_len1;
	public Double getCrs_cut_len1() {
		return this.crs_cut_len1;
	}
	public void setCrs_cut_len1(Double crs_cut_len1) {
		this.crs_cut_len1 = crs_cut_len1;
	}

	/** 
	 * 中断长度二
	 */ 
	@Column
	private Double crs_cut_len2;
	public Double getCrs_cut_len2() {
		return this.crs_cut_len2;
	}
	public void setCrs_cut_len2(Double crs_cut_len2) {
		this.crs_cut_len2 = crs_cut_len2;
	}

	/** 
	 * 中断长度三
	 */ 
	@Column
	private Double crs_cut_len3;
	public Double getCrs_cut_len3() {
		return this.crs_cut_len3;
	}
	public void setCrs_cut_len3(Double crs_cut_len3) {
		this.crs_cut_len3 = crs_cut_len3;
	}
	
	/** 
	 * 中断长度四
	 */ 
	@Column
	private Double crs_cut_len4;
	public Double getCrs_cut_len4() {
		return this.crs_cut_len4;
	}
	public void setCrs_cut_len4(Double crs_cut_len4) {
		this.crs_cut_len4 = crs_cut_len4;
	}
	
	/** 
	 * 中断长度五
	 */ 
	@Column
	private Double crs_cut_len5;
	public Double getCrs_cut_len5() {
		return this.crs_cut_len5;
	}
	public void setCrs_cut_len5(Double crs_cut_len5) {
		this.crs_cut_len5 = crs_cut_len5;
	}
	
	/** 
	 * 中断长度六
	 */ 
	@Column
	private Double crs_cut_len6;
	public Double getCrs_cut_len6() {
		return this.crs_cut_len6;
	}
	public void setCrs_cut_len6(Double crs_cut_len6) {
		this.crs_cut_len6 = crs_cut_len6;
	}
	
	@Column
	//机台号
	private String machine_code;
	public String  getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	@Column
	//作业计划号
	private String schedule_no;
	public String  getSchedule_no() {
		return this.schedule_no;
	}
	public void setSchedule_no(String schedule_no) {
		this.schedule_no = schedule_no;
	}

	@Column
	//计划内序号
	private Integer inner_seq;
	public Integer  getInner_seq() {
		return this.inner_seq;
	}
	public void setInner_seq(Integer inner_seq) {
		this.inner_seq = inner_seq;
	}

	@Column
	//虚拟原料卷号
	private String material_no_vt;
	public String  getMaterial_no_vt() {
		return this.material_no_vt;
	}
	public void setMaterial_no_vt(String material_no_vt) {
		this.material_no_vt = material_no_vt;
	}

	@Column
	//计划原料卷牌号
	private String pln_steel_code;
	public String  getPln_steel_code() {
		return this.pln_steel_code;
	}
	public void setPln_steel_code(String pln_steel_code) {
		this.pln_steel_code = pln_steel_code;
	}

	@Column
	//计划原料卷厚度
	private Double pln_mtr_thk;
	public Double  getPln_mtr_thk() {
		return this.pln_mtr_thk;
	}
	public void setPln_mtr_thk(Double pln_mtr_thk) {
		this.pln_mtr_thk = pln_mtr_thk;
	}

	@Column
	//计划原料卷宽度
	private Double pln_mtr_wdt;
	public Double  getPln_mtr_wdt() {
		return this.pln_mtr_wdt;
	}
	public void setPln_mtr_wdt(Double pln_mtr_wdt) {
		this.pln_mtr_wdt = pln_mtr_wdt;
	}

	@Column
	//计划原料卷长度
	private Double pln_mtr_len;
	public Double  getPln_mtr_len() {
		return this.pln_mtr_len;
	}
	public void setPln_mtr_len(Double pln_mtr_len) {
		this.pln_mtr_len = pln_mtr_len;
	}

	@Column
	//计划原料卷内径
	private Double pln_mtr_inn_dia;
	public Double  getPln_mtr_inn_dia() {
		return this.pln_mtr_inn_dia;
	}
	public void setPln_mtr_inn_dia(Double pln_mtr_inn_dia) {
		this.pln_mtr_inn_dia = pln_mtr_inn_dia;
	}

	@Column
	//计划原料卷外径
	private Double pln_mtr_out_dia;
	public Double  getPln_mtr_out_dia() {
		return this.pln_mtr_out_dia;
	}
	public void setPln_mtr_out_dia(Double pln_mtr_out_dia) {
		this.pln_mtr_out_dia = pln_mtr_out_dia;
	}

	@Column
	//计划原料卷理重
	private Double pln_mtr_thr_wgt;
	public Double  getPln_mtr_thr_wgt() {
		return this.pln_mtr_thr_wgt;
	}
	public void setPln_mtr_thr_wgt(Double pln_mtr_thr_wgt) {
		this.pln_mtr_thr_wgt = pln_mtr_thr_wgt;
	}

	@Column
	//原料卷号
	private String material_no;
	public String  getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	@Column
	//原料卷牌号
	private String steel_code;
	public String  getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	@Column
	//原料卷厚度
	private Double mtr_thk;
	public Double  getMtr_thk() {
		return this.mtr_thk;
	}
	public void setMtr_thk(Double mtr_thk) {
		this.mtr_thk = mtr_thk;
	}

	@Column
	//原料卷宽度
	private Double mtr_wdt;
	public Double  getMtr_wdt() {
		return this.mtr_wdt;
	}
	public void setMtr_wdt(Double mtr_wdt) {
		this.mtr_wdt = mtr_wdt;
	}

	@Column
	//原料卷长度
	private Double mtr_len;
	public Double  getMtr_len() {
		return this.mtr_len;
	}
	public void setMtr_len(Double mtr_len) {
		this.mtr_len = mtr_len;
	}

	@Column
	//原料卷内径
	private Double mtr_inn_dia;
	public Double  getMtr_inn_dia() {
		return this.mtr_inn_dia;
	}
	public void setMtr_inn_dia(Double mtr_inn_dia) {
		this.mtr_inn_dia = mtr_inn_dia;
	}

	@Column
	//原料卷外径
	private Double mtr_out_dia;
	public Double  getMtr_out_dia() {
		return this.mtr_out_dia;
	}
	public void setMtr_out_dia(Double mtr_out_dia) {
		this.mtr_out_dia = mtr_out_dia;
	}

	@Column
	//原料卷理重
	private Double mtr_thr_wgt;
	public Double  getMtr_thr_wgt() {
		return this.mtr_thr_wgt;
	}
	public void setMtr_thr_wgt(Double mtr_thr_wgt) {
		this.mtr_thr_wgt = mtr_thr_wgt;
	}

	@Column
	//原料卷实重
	private Double mtr_act_wgt;
	public Double  getMtr_act_wgt() {
		return this.mtr_act_wgt;
	}
	public void setMtr_act_wgt(Double mtr_act_wgt) {
		this.mtr_act_wgt = mtr_act_wgt;
	}

	@Column
	//作业日期（YYYY-MM-DD）
	private String wrk_date;
	public String  getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	@Column
	//作业班次（1夜班、2白班、3中班）
	private String wrk_ord;
	public String  getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	@Column
	//作业班组（1甲班、2乙班、3丙班、4丁班）
	private String wrk_grp;
	public String  getWrk_grp() {
		return this.wrk_grp;
	}
	public void setWrk_grp(String wrk_grp) {
		this.wrk_grp = wrk_grp;
	}

	@Column
	//主操工
	private String chief_opr;
	public String  getChief_opr() {
		return this.chief_opr;
	}
	public void setChief_opr(String chief_opr) {
		this.chief_opr = chief_opr;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//上料时间
	private Date feeding_time;
	public Date  getFeeding_time() {
		return this.feeding_time;
	}
	public void setFeeding_time(Date feeding_time) {
		this.feeding_time = feeding_time;
	}

	@Column
	//上料称重
	private Double feeding_wgt;
	public Double  getFeeding_wgt() {
		return this.feeding_wgt;
	}
	public void setFeeding_wgt(Double feeding_wgt) {
		this.feeding_wgt = feeding_wgt;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//原料卷称重时间
	private Date feeding_wgt_time;
	public Date  getFeeding_wgt_time() {
		return this.feeding_wgt_time;
	}
	public void setFeeding_wgt_time(Date feeding_wgt_time) {
		this.feeding_wgt_time = feeding_wgt_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//开卷时间
	private Date decoil_time;
	public Date  getDecoil_time() {
		return this.decoil_time;
	}
	public void setDecoil_time(Date decoil_time) {
		this.decoil_time = decoil_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//分条开始时间
	private Date cut_str_time;
	public Date  getCut_str_time() {
		return this.cut_str_time;
	}
	public void setCut_str_time(Date cut_str_time) {
		this.cut_str_time = cut_str_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//分条结束时间
	private Date cut_end_time;
	public Date  getCut_end_time() {
		return this.cut_end_time;
	}
	public void setCut_end_time(Date cut_end_time) {
		this.cut_end_time = cut_end_time;
	}

	@Column
	//开卷张力
	private Double decoil_tension;
	public Double  getDecoil_tension() {
		return this.decoil_tension;
	}
	public void setDecoil_tension(Double decoil_tension) {
		this.decoil_tension = decoil_tension;
	}

	@Column
	//最小开卷张力
	private Double decoil_tension_min;
	public Double  getDecoil_tension_min() {
		return this.decoil_tension_min;
	}
	public void setDecoil_tension_min(Double decoil_tension_min) {
		this.decoil_tension_min = decoil_tension_min;
	}

	@Column
	//最大开卷张力
	private Double decoil_tension_max;
	public Double  getDecoil_tension_max() {
		return this.decoil_tension_max;
	}
	public void setDecoil_tension_max(Double decoil_tension_max) {
		this.decoil_tension_max = decoil_tension_max;
	}

	@Column
	//卷曲张力
	private Double coil_tension;
	public Double  getCoil_tension() {
		return this.coil_tension;
	}
	public void setCoil_tension(Double coil_tension) {
		this.coil_tension = coil_tension;
	}

	@Column
	//最小卷曲张力
	private Double coil_tension_min;
	public Double  getCoil_tension_min() {
		return this.coil_tension_min;
	}
	public void setCoil_tension_min(Double coil_tension_min) {
		this.coil_tension_min = coil_tension_min;
	}

	@Column
	//最大卷曲张力
	private Double coil_tension_max;
	public Double  getCoil_tension_max() {
		return this.coil_tension_max;
	}
	public void setCoil_tension_max(Double coil_tension_max) {
		this.coil_tension_max = coil_tension_max;
	}

	@Column
	//穿带速度
	private Double thread_speed;
	public Double  getThread_speed() {
		return this.thread_speed;
	}
	public void setThread_speed(Double thread_speed) {
		this.thread_speed = thread_speed;
	}

	@Column
	//最小穿带速度
	private Double thread_speed_min;
	public Double  getThread_speed_min() {
		return this.thread_speed_min;
	}
	public void setThread_speed_min(Double thread_speed_min) {
		this.thread_speed_min = thread_speed_min;
	}

	@Column
	//最大穿带速度
	private Double thread_speed_max;
	public Double  getThread_speed_max() {
		return this.thread_speed_max;
	}
	public void setThread_speed_max(Double thread_speed_max) {
		this.thread_speed_max = thread_speed_max;
	}

	@Column
	//加工速度
	private Double process_speed;
	public Double  getProcess_speed() {
		return this.process_speed;
	}
	public void setProcess_speed(Double process_speed) {
		this.process_speed = process_speed;
	}

	@Column
	//最小加工速度
	private Double process_speed_min;
	public Double  getProcess_speed_min() {
		return this.process_speed_min;
	}
	public void setProcess_speed_min(Double process_speed_min) {
		this.process_speed_min = process_speed_min;
	}

	@Column
	//最大加工速度
	private Double process_speed_max;
	public Double  getProcess_speed_max() {
		return this.process_speed_max;
	}
	public void setProcess_speed_max(Double process_speed_max) {
		this.process_speed_max = process_speed_max;
	}

	@Column
	//交工状态
	private String hand_over_status;
	public String  getHand_over_status() {
		return this.hand_over_status;
	}
	public void setHand_over_status(String hand_over_status) {
		this.hand_over_status = hand_over_status;
	}

	@Column
	//部分原料卷吊销（1是、0否）
	private String partial_rejected;
	public String  getPartial_rejected() {
		return this.partial_rejected;
	}
	public void setPartial_rejected(String partial_rejected) {
		this.partial_rejected = partial_rejected;
	}

	@Column
	//吊销卷号
	private String rejected_coil_no;
	public String  getRejected_coil_no() {
		return this.rejected_coil_no;
	}
	public void setRejected_coil_no(String rejected_coil_no) {
		this.rejected_coil_no = rejected_coil_no;
	}

	@Column
	//吊销卷理重
	private Double rejected_coil_thr_wgt;
	public Double  getRejected_coil_thr_wgt() {
		return this.rejected_coil_thr_wgt;
	}
	public void setRejected_coil_thr_wgt(Double rejected_coil_thr_wgt) {
		this.rejected_coil_thr_wgt = rejected_coil_thr_wgt;
	}

	@Column
	//吊销卷实重
	private Double rejected_coil_act_wgt;
	public Double  getRejected_coil_act_wgt() {
		return this.rejected_coil_act_wgt;
	}
	public void setRejected_coil_act_wgt(Double rejected_coil_act_wgt) {
		this.rejected_coil_act_wgt = rejected_coil_act_wgt;
	}

	@Column
	//吊销卷长度
	private Double rejected_coil_len;
	public Double  getRejected_coil_len() {
		return this.rejected_coil_len;
	}
	public void setRejected_coil_len(Double rejected_coil_len) {
		this.rejected_coil_len = rejected_coil_len;
	}

	@Column
	//吊销卷外径
	private Double rejected_coil_out_dia;
	public Double getRejected_coil_out_dia() {
		return rejected_coil_out_dia;
	}
	public void setRejected_coil_out_dia(Double rejected_coil_out_dia) {
		this.rejected_coil_out_dia = rejected_coil_out_dia;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//操作人
	private String create_opr;
	public String  getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//操作时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人
	private String update_opr;
	public String  getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//横切次数
	private Integer cross_cut_times;
	
	@Column
	//断带次数
	private Integer rll_break_times;
	
	@Column
	//断带原因
	private String rll_break_reason;
	
	@Column
	//交工人
	private String hand_over_opr;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//交工时间
	private Date hand_over_time;
	
	/** 
	 * 上料时长（sec）
	 */ 
	@Column
	private Long time_loading_time;
	public Long getTime_loading_time() {
		return this.time_loading_time;
	}
	public void setTime_loading_time(Long time_loading_time) {
		this.time_loading_time = time_loading_time;
	}

	/** 
	 * 开卷时长（sec）
	 */ 
	@Column
	private Long uncoil_time;
	public Long getUncoil_time() {
		return this.uncoil_time;
	}
	public void setUncoil_time(Long uncoil_time) {
		this.uncoil_time = uncoil_time;
	}

	/** 
	 * 电耗（kwh）
	 */ 
	@Column
	private Long energy_expended_coil_process;
	public Long getEnergy_expended_coil_process() {
		return this.energy_expended_coil_process;
	}
	public void setEnergy_expended_coil_process(Long energy_expended_coil_process) {
		this.energy_expended_coil_process = energy_expended_coil_process;
	}
	/** 
	 * 排刀间隙量（mm）
	 */ 
	@Column
	private String bld_set_gap;
	public String getBld_set_gap() {
		return this.bld_set_gap;
	}
	public void setBld_set_gap(String bld_set_gap) {
		this.bld_set_gap = bld_set_gap;
	}

	/** 
	 * 排刀重叠量（mm）
	 */ 
	@Column
	private String bld_set_overlay;
	public String getBld_set_overlay() {
		return this.bld_set_overlay;
	}
	public void setBld_set_overlay(String bld_set_overlay) {
		this.bld_set_overlay = bld_set_overlay;
	}

	/** 
	 * 张力台张力（kg）
	 */ 
	@Column
	private String plt_tension;
	public String getPlt_tension() {
		return this.plt_tension;
	}
	public void setPlt_tension(String plt_tension) {
		this.plt_tension = plt_tension;
	}

	/** 
	 * 记录人
	 */ 
	@Column
	private String prm_rcd_opr;
	public String getPrm_rcd_opr() {
		return this.prm_rcd_opr;
	}
	public void setPrm_rcd_opr(String prm_rcd_opr) {
		this.prm_rcd_opr = prm_rcd_opr;
	}

	/** 
	 * 检查人
	 */ 
	@Column
	private String prm_chk_opr;
	public String getPrm_chk_opr() {
		return this.prm_chk_opr;
	}
	public void setPrm_chk_opr(String prm_chk_opr) {
		this.prm_chk_opr = prm_chk_opr;
	}

	/** 
	 * 督查人
	 */ 
	@Column
	private String prm_spv_opr;
	public String getPrm_spv_opr() {
		return this.prm_spv_opr;
	}
	public void setPrm_spv_opr(String prm_spv_opr) {
		this.prm_spv_opr = prm_spv_opr;
	}
	
	/**
	 * 边丝理重
	 */
	@Column
	private Double wire_thr_wgt;
	public Double  getWire_thr_wgt() {
		return this.wire_thr_wgt;
	}
	public void setWire_thr_wgt(Double wire_thr_wgt) {
		this.wire_thr_wgt = wire_thr_wgt;
	}
	
	/**
	 * 边丝实重
	 */
	@Column
	private Double wire_act_wgt;
	public Double  getWire_act_wgt() {
		return this.wire_act_wgt;
	}
	public void setWire_act_wgt(Double wire_act_wgt) {
		this.wire_act_wgt = wire_act_wgt;
	}
	
	/**
	 * 边丝宽度
	 */
	@Column
	private Double wire_wdt;
	public Double  getWire_wdt() {
		return this.wire_wdt;
	}
	public void setWire_wdt(Double wire_wdt) {
		this.wire_wdt = wire_wdt;
	}
	
	
	public String getHand_over_opr() {
		return hand_over_opr;
	}
	public void setHand_over_opr(String hand_over_opr) {
		this.hand_over_opr = hand_over_opr;
	}
	public Date getHand_over_time() {
		return hand_over_time;
	}
	public void setHand_over_time(Date hand_over_time) {
		this.hand_over_time = hand_over_time;
	}
	public Integer getCross_cut_times() {
		return cross_cut_times;
	}
	public void setCross_cut_times(Integer cross_cut_times) {
		this.cross_cut_times = cross_cut_times;
	}
	public Integer getRll_break_times() {
		return rll_break_times;
	}
	public void setRll_break_times(Integer rll_break_times) {
		this.rll_break_times = rll_break_times;
	}
	public String getRll_break_reason() {
		return rll_break_reason;
	}
	public void setRll_break_reason(String rll_break_reason) {
		this.rll_break_reason = rll_break_reason;
	}

}
